Summary: Cluster administation tools  
Name: piranha
Version: 0.8.4
Release: 22%{?dist}
License: GPLv2
Group: System Environment/Base 

Source0: piranha-%{version}.tar.gz
patch0: piranha-0.8.4-init.patch
patch1: piranha-0.8.4-vip.patch
patch2: piranha-0.8.4-arp.patch
patch3: piranha-0.8.4-php.patch
patch4: piranha-0.8.4-config.patch
patch5: piranha-0.8.4-rport.patch
patch6: piranha-0.8.4-sysconfig.patch
patch7: piranha-0.8.4-cloexec.patch
patch8: piranha-0.8.4-nanny.patch
patch9: piranha-0.8.4-vsnprintf.patch
patch10: piranha-0.8.4-bond.patch
patch11: piranha-0.8.4-nanny-monitor.patch
patch12: piranha-0.8.4-signals.patch
patch13: piranha-0.8.4-logrotate.patch
patch14: piranha-0.8.4-quotes.patch
patch15: piranha-0.8.4-nanny-default.patch
patch16: piranha-0.8.4-ipvs-rport.patch
patch17: piranha-0.8.4-nanny-shutdown.patch
patch18: piranha-0.8.4-break_lvs.patch
patch19: piranha-0.8.4-rport_fix.patch
patch20: piranha-0.8.4-sorry_server-fix.patch
patch21: piranha-0.8.4-selinux.patch
patch22: piranha-0.8.4-init_status.patch
patch23: piranha-0.8.4-ruptime.patch
patch24: piranha-0.8.4-init_delay.patch
patch25: pulse-reload-segfault.patch
patch26: piranha-0.8.4-hardShutdown.patch
patch27: piranha-0.8.4-hardShutdown-man.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: ipvsadm >= 1.14, httpd, php, logrotate

Requires(pre): shadow-utils
Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Requires(postun): shadow-utils initscripts

%description 
Various tools to administer and configure the Linux Virtual Server as well as
heartbeating and failover components.  The LVS is a dynamically adjusted
kernel routing mechanism that provides load balancing primarily for web
and ftp servers though other services are supported.


%prep
%setup -n piranha -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1

%build
#make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" all
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT LIBDIR=%{_libdir} install

%clean
rm -rf $RPM_BUILD_ROOT


%pre
/usr/sbin/groupadd -g 60 -r -f piranha >/dev/null 2>&1 ||:
/usr/sbin/useradd -u 60 -g 60 -d /etc/sysconfig/ha -r   \
        -s /sbin/nologin piranha >/dev/null 2>&1 ||:

%preun
if [ $1 = 0 ]; then
	/sbin/service pulse stop >/dev/null 2>&1
	/sbin/chkconfig --del pulse
fi
if [ $1 = 0 ]; then
	/sbin/service piranha-gui stop >/dev/null 2>&1
	/sbin/chkconfig --del piranha-gui
fi

%post 
/sbin/chkconfig --add pulse
/sbin/chkconfig --add piranha-gui

%postun
if [ $1 = 0 ] ; then
	/usr/sbin/userdel piranha
	# userdel removes group as well
	# /usr/sbin/groupdel piranha
fi
if [ $1 = 1 ] ; then
	/sbin/service pulse condrestart >/dev/null 2>&1
	/sbin/service piranha-gui condrestart >/dev/null 2>&1
fi


%files
%defattr(-,root,root)
%doc sample.cf AUTHORS COPYING Changelog README docs

						/usr/sbin/pulse
						/usr/sbin/fos
						/usr/sbin/lvsd
						/usr/sbin/send_arp
						/usr/sbin/nanny
						/usr/sbin/piranha_gui
						/usr/sbin/piranha-passwd

						/etc/rc.d/init.d/*

%dir						/etc/sysconfig/ha
%config(noreplace)				/etc/sysconfig/ha/conf
%config(noreplace)				/etc/sysconfig/ha/logs
%config(noreplace)				/etc/sysconfig/ha/modules
%config(noreplace)				/etc/sysconfig/ha/web
%config(noreplace)				/etc/sysconfig/pulse

%attr(-,root,piranha) %config(noreplace)	/etc/sysconfig/ha/lvs.cf


%config(noreplace)				/etc/logrotate.d/piranha-httpd

%attr(-,piranha,root)				/var/log/piranha

						%{_mandir}/*/*



%changelog
* Thu Dec 15 2011 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Mon Jun 06 2011 Marek Grac <mgrac@redhat.com> 0.8.4-22
- Resolves: #505172 - a failure to start a single nanny
	kills off all running nannies

* Mon May 09 2011 Marek Grac <mgrac@redhat.com> 0.8.4-20
- Resolves: #674859 - "service pulse reload" is resulting
	in lvsd segfault

* Mon Jul 26 2010 Marek Grac <mgrac@redhat.com> 0.8.4-19
- Resolves: #550126 - fails to parse load average with ruptime
- Resolves: #453451 - LVS rebooted simultaneously cause problems

* Fri Jun 18 2010 Marek Grac <mgrac@redhat.com> 0.8.4-18
- Resolves: #604742 - piranha does not work with SELinux enabled

* Mon Feb 22 2010 Marek Grac <mgrac@redhat.com> 0.8.4-16
- Resolves: #549738 - problem with rport
- Resolves: #566140 - sorry server not functional

